// Einfuehrung in Scilab/ScicosLab 
// ____________________________________
// Beispielskript 3: Funktionen, Schleifen und grafische Ausgabe
// Matthias Kubisch, 05.04.2012

N = 200;
x = linspace(-%pi,%pi,N);
y1 = cos(x);
clf;
plot2d(x,y1,style = 2);


function y = f2(x)
  y = 0.5*cos(2*x.*x);
endfunction


y2 = f2(x);
plot2d(x,y2,style = 5);

clf;
// eine Matrix haendisch angelegt
M = zeros(N,N);
for z = 1:N
  for s = 1:N
    M(z,s) = cos(x(s))*cos(x(z));
  end
end

// oder als Matrixmultiplikation
Z = cos(x)'*cos(x);

mesh(Z);



// siehe auch while, if und grayplot

//____

